Bug 197160 - libss attempts to use old libreadline
Summary: libss attempts to use old libreadline
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-28 22:18 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.40.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 21:10:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2006-06-28 22:18:02 UTC
Description of problem:
The libss library attempts to provide command-line editing by using dlopen() to
load an editing library.  The default list it attempts to use is defined (as the
DEFAULT_LIBPATH macro) in lib/ss/get_readline.c as
"libreadline.so.4:libreadline.so:libedit.so.2:libedit.so:libeditline.so.0:libeditline.so"
The current version of libreadline is libreadline.so.5.

Version-Release number of selected component (if applicable):
1.38-15

How reproducible:
Always

Steps to Reproduce:
1. Run 'debugfs' under strace.
2. Notice that while it attempts to dlopen() libreadline.so.4, it never tries to
open the current version.
  
Actual results:
If you don't have compat-readline43 or readline-devel install, it will not find
the library.

Expected results:
Command-line edity goodness.

Additional info:
Sourceforge's bug tracker doesn't seem to be working at the moment, so I can't
file this there as well.

Comment 1 Eric Sandeen 2007-07-26 21:10:12 UTC
http://thunk.org/hg/e2fsprogs/?rev/1cfb852a943d

description:  	Add libreadline.so.5 to the list of readline libraries used by libss

This was fixed back in Nov 2006... 

So, it's fixed in fedora devel/fc8, and in the e2fsprogs-1.40.2.fc7 package I
just pushed to f7 updates-testing... I'll probably push 1.40.2 to fc6 as well at
some point soon.

Thanks,

-Eric


Note You need to log in before you can comment on or make changes to this bug.